package Trida::Soubory;

use Exporter 'import';
our @EXPORT = qw(uloz_tridu nacti_tridu);

use Log;

sub nacti_tridu {
    my @zaci;
    my $TRIDA;
    print "Jméno souboru: ";
    my $jmenodat = <STDIN>; chomp( $jmenodat );
    if ( not open($TRIDA,$jmenodat) ) {
        print STDERR "Nelze načíst soubor $jmenodat !\n";
        return ();
    }
    while ( my $zak = <$TRIDA> ) {
        chomp( $zak );
        push( @zaci, $zak );
    }
    close($TRIDA);
    do_logu( "Načteno ze souboru $jmenodat.\n" );
    return @zaci;
}

sub uloz_tridu {
    my @zaci = @_;
    my $TRIDA;
    print "Jméno souboru: ";
    my $jmenodat = <STDIN>; chomp( $jmenodat );
    if ( not open($TRIDA,">$jmenodat") ) {
        print STDERR "Nelze zapisovat do souboru $jmenodat !\n";
        return 0;
    }
    foreach my $zak ( @zaci ) { print $TRIDA "$zak\n"; }
    close($TRIDA);
    do_logu( "Uloženo do souboru $jmenodat.\n" );
    return 1;
}

1;
