sub filtr {
    my $kriterium = shift;
    my @vysledek = ();
    foreach my $hodnota ( @_ ) {
        if ( $kriterium->($hodnota) ) {
            push( @vysledek, $hodnota );
        }
    }
    return @vysledek;
}

sub kladne {
    return @_[0] > 0;
}

my @x = ( 10, -5, 15, 8, -3, -22 );
my @kladne_x = filtr( \&kladne, @x );
vypis_pole( @kladne_x );


sub neprazdny_ret {
    return @_[0] !~ /^\s*$/;
}

my @y = ("", "raz", "  ", "dva", "", "   ", "tri");
my @neprazdne_y = filtr( \&neprazdny_ret, @y );
vypis_pole( @neprazdne_y );

sub vypis_pole { 
    foreach my $hodnota ( @_ ) {
        print "$hodnota\n";
    }
}
