use constant EPSILON => 0.001;

sub derivuj {
    my $f = shift;
    return sub {
        my $x = shift;
        return ($f->($x+EPSILON) - $f->($x-EPSILON))
               / (2*EPSILON);
    }
}

sub kvadrat { my $x = shift; return $x*$x; }
my $kvadrat_der = derivuj( \&kvadrat );
print $kvadrat_der->(3), "\n";
