use MLDBM qw(DB_File Storable);

tie( my %db, 'MLDBM', "test.db")
    or die "Nelze otevřít test.db!\n";

# jednoúrovňové struktury lze přímo
$db{"alfa"} = [ 0.15, 1.23, 2.81 ];

# tohle nefunguje!
$db{"beta"}->[1]->[3] = 2.7182;

# víceúrovňové jen přes pomocné proměnné
my $pole = $db{"alfa"};
$pole->[1] = [ "aaa", "bbb", "ccc" ];
$db{"alfa"} = $pole;

# test, zda se podařilo...
$pole = $db{"alfa"};
print $pole->[1]->[1], "\n";
untie( %db );
