sub vstup_hodnoty {
    my $hodnota;
    do { 
        print "hodnota: ";
        $hodnota = <STDIN>;
        chomp($hodnota);
    } until platny_vstup($hodnota);
    return $hodnota;
}

sub platny_vstup {
# ověří, zda uživatel zadal číslo nebo prázdný řetězec
# vstup:  uživatelem zadaná hodnota
# výstup: 1 je-li vstup platný, 0 jinak
    my ( $hodnota ) = @_;
    if ( $hodnota eq "" ) {
        return 1;
    } elsif ( $hodnota =~ /^\s*[-+]?\d+\s*$/ ) {
        return 1;
    } else {
        print "Zadejte celé číslo nebo prázdný řetězec!\n";
        return 0;
    }
}
