#!/usr/bin/perl
use CGI qw(:standard);
use Fcntl qw(:flock);
use constant JMENOSOUB => "/www/data/ucastnici.dat";

if ( kontrola() ) {
    zaregistruj();
    print header(),
          start_html("Registrace provedena"),
          h1("Registrace provedena"),
          "Byl(a) jste zaregistrován(a).\n",
          end_html();
} else {
    print header(),
          start_html("Neplatné údaje"),
          h1("Neplatné údaje"),
          "Prosím opravte zadání.\n",
          end_html();
}

sub kontrola {
    # odstraním případné dvojtečky
    foreach my $jmeno ( param() ) {
        my $hodnota = param($jmeno);
        if ( $hodnota =~ s/:/;/g ) {
            param($jmeno,$hodnota);
        }
    }
    # a prověřím, zda je zadáno vše potřebné
    if ( param('jmeno') and param('adresa') ) {
        return 1;
    } else {
        return 0;
    }
}

sub zaregistruj {
    open(DATA, ">>".JMENOSOUB)
        or die "Nelze otevřít soubor\n";
    flock(DATA, LOCK_EX)
        or die "Nelze zamknout soubor\n";
    print DATA, join( ":", param() ), "\n";
    close(DATA);
}
