my @hodnoty;
print "Určení extrémů\n";
print "Zadávejte čísla, prázdný řetězec ukončí vstup.\n";
while ( (my $hodnota = vstup_hodnoty()) ne "" ) {
    push(@hodnoty, $hodnota);
}
my ($min, $max) = minimax(@hodnoty);
print "Nejmenší je $min\n";
print "Největší je $max\n";

sub vstup_hodnoty {
# funkce, která zajistí zadání jedné hodnoty uživatelem
# vstup:  žádný
# výstup: zadaná hodnota
    print "hodnota: ";
    my $hodnota = <STDIN>;
    chomp($hodnota);
    return $hodnota;
}

sub minimax {
# funkce pro určení nejmenší a největší hodnoty
# vstup:  seznam hodnot
# výstup: dvojice ( nejmenší, největší )
    my @hodnoty = @_;
    my ( $max, $min ) = ( $hodnoty[0], $hodnoty[0] );
    foreach my $hodnota ( @hodnoty ) {
        if ( $hodnota > $max ) { $max = $hodnota; }
        if ( $hodnota < $min ) { $min = $hodnota; }
    }
    return ( $min, $max );
}
