zpracuj_adr( ".", "" );

sub zpracuj_adr {
    my ( $adresar, $mezery ) = @_;
    
    if ( not opendir(ADR, $adresar) ) {
        print STDERR "Nelze otevřít $adresar \n";
        return 0;
    }
    my @soubory = readdir(ADR);
    closedir (ADR);

    foreach my $jmeno ( sort @soubory ) {
        if ( $jmeno =~ /^\./ ) { next; }
        my $cesta = $adresar . "/" . $jmeno;
        if ( -d $cesta ) {
            print "$mezery$jmeno/\n";
            zpracuj_adr( $cesta, $mezery."   " );
        } else {
            print "$mezery$jmeno\n";
        }
    }
}
